> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post elasticsearchmappingindexupdate

> Update index mappings



## OpenAPI

````yaml /schema.json post /elasticsearch/mapping/index/update
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /elasticsearch/mapping/index/update:
    post:
      tags:
        - Elasticsearch
      description: Update index mappings
      operationId: updateElasticsearchIndexMappings
      parameters:
        - name: index
          in: query
          description: Index to update
          required: false
          schema:
            type: string
        - name: dry-run
          in: query
          description: Only check for differences
          required: false
          schema:
            type: boolean
            default: false
        - name: rollover
          in: query
          description: Rollover when there are type conflicts
          required: false
          schema:
            type: boolean
            default: false
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElasticsearchIndexUpdateResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ElasticsearchIndexUpdateResult:
      type: object
      indices:
        type: array
        items:
          type: object
          properties:
            index:
              type: string
            alias:
              type: string
            writeIndex:
              type: boolean
            action:
              type: string
            dryRun:
              type: boolean
            updatable:
              type: object
            conflicts:
              type: object
            response:
              type: object
            rollover:
              type: object
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````